package it.csi.demo.democomp.dto.nspersona;

import com.opensymphony.xwork2.validator.annotations.*;

@Validation
public class Cittadino implements java.io.Serializable {

	/// Field [idCittadino]
	private int _idCittadino = 0;

	public void setIdCittadino(int val) {
		_idCittadino = val;
	}

	public int getIdCittadino() {
		return _idCittadino;
	}

	/// Field [cognome]
	private java.lang.String _cognome = null;

	@RequiredStringValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.cognome.required.label")
	@StringLengthFieldValidator(type = ValidatorType.FIELD, minLength = "0", maxLength = "50", message = "", key = "cittadino.cognome.validator.label")
	public void setCognome(java.lang.String val) {
		_cognome = val;
	}

	public java.lang.String getCognome() {
		return _cognome;
	}

	/// Field [nome]
	private java.lang.String _nome = null;

	@StringLengthFieldValidator(type = ValidatorType.FIELD, minLength = "0", maxLength = "50", message = "", key = "cittadino.nome.validator.label")
	public void setNome(java.lang.String val) {
		_nome = val;
	}

	public java.lang.String getNome() {
		return _nome;
	}

	/// Field [sesso]
	private java.lang.String _sesso = null;

	@RequiredStringValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.sesso.required.label")
	public void setSesso(java.lang.String val) {
		_sesso = val;
	}

	public java.lang.String getSesso() {
		return _sesso;
	}

	/// Field [dataNascita]
	private java.lang.String _dataNascita = null;

	@RequiredStringValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.dataNascita.required.label")
	public void setDataNascita(java.lang.String val) {
		_dataNascita = val;
	}

	public java.lang.String getDataNascita() {
		return _dataNascita;
	}

	/// Field [idComuneNascita]
	private java.lang.Integer _idComuneNascita = null;

	@RequiredFieldValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.idComuneNascita.required.label")
	public void setIdComuneNascita(java.lang.Integer val) {
		_idComuneNascita = val;
	}

	public java.lang.Integer getIdComuneNascita() {
		return _idComuneNascita;
	}

	/// Field [idComuneResid]
	private java.lang.Integer _idComuneResid = null;

	@RequiredFieldValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.idComuneResid.required.label")
	public void setIdComuneResid(java.lang.Integer val) {
		_idComuneResid = val;
	}

	public java.lang.Integer getIdComuneResid() {
		return _idComuneResid;
	}

	/// Field [retribuzione]
	private long _retribuzione = 0;

	public void setRetribuzione(long val) {
		_retribuzione = val;
	}

	public long getRetribuzione() {
		return _retribuzione;
	}

	/// Field [idProvinciaNascita]
	private java.lang.Integer _idProvinciaNascita = null;

	@RequiredFieldValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.idProvinciaNascita.required.label")
	public void setIdProvinciaNascita(java.lang.Integer val) {
		_idProvinciaNascita = val;
	}

	public java.lang.Integer getIdProvinciaNascita() {
		return _idProvinciaNascita;
	}

	/// Field [idProvinciaResid]
	private java.lang.Integer _idProvinciaResid = null;

	@RequiredFieldValidator(type = ValidatorType.FIELD, message = "", key = "cittadino.idProvinciaResid.required.label")
	public void setIdProvinciaResid(java.lang.Integer val) {
		_idProvinciaResid = val;
	}

	public java.lang.Integer getIdProvinciaResid() {
		return _idProvinciaResid;
	}

	// il serial version uid e' fisso in quanto la classe in oggetto e' serializzabile
	// solo per la clusterizzazione della sessione web e non viene scambiata con altre
	// componenti.
	private static final long serialVersionUID = 1L;

	/**
	 * Costruttore vuoto del DTO.
	 */
	public Cittadino() {
		super();

	}

	public String toString() {
		/*PROTECTED REGION ID(R278449325) ENABLED START*/
		/// inserire qui la logica desiderata per la rappresenatazione a stringa
		return super.toString();
		/*PROTECTED REGION END*/
	}
}
